/* File: stringf.c (Feld-Variante) -- zu Kap. 2.2.1 Felder
   Fkt.: Vergleich zweier eingegebener Zeichenketten */
main() /* Arbeit mit Zeichenfeldern */
#define N 20
{ 	char a[N],b[N];
	printf("Eingabe Zeichenkette1:");
	scanf("%s", a);
	while(getchar()!='\n');
	printf("Eingabe Zeichenkette2:");
	scanf("%s", b);
	while(getchar()!='\n');
	if(strcmp(a,b) == 0)
		printf("die Zeichenketten sind gleich\n");
	else
		printf("die Zeichenketten sind nicht gleich\n");
}
strcmp(s1, s2) /* Vergleich zweier Strings bis '\0' */
char s1[], s2[];
{	int i=0;
	while (s1[i] == s2[i])
		if (s1[i++] == 0) return(0);
	return(1);
}
